<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Saldo Related Income</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_reports::sidebar_reports" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Saldo Related Income
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-6">
                <form method="get">
                    <div class="row">
                        <div class="col-md-10">
                            <!--                            <div class="mb-3">-->
                            <!--                                <select class="form-select" id="selectsatu" name="instansi">-->
                            <!--                                    <option th:each="data : ${listInstansi}"-->
                            <!--                                            th:selected="(${data} == *{instansiSelected})"-->
                            <!--                                            th:text="${'('+ data.kode +')'  + '       -       ' +  data.nama}"-->
                            <!--                                            th:value="${data.id}">sdasd</option>-->
                            <!--                                </select>-->
                            <!--                                &lt;!&ndash;                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">&ndash;&gt;-->
                            <!--                            </div>-->
                            <!--                            <div class="mb-3">-->
                            <!--                                <input type="date" class="form-control" name="tanggalMulai" th:value="${tanggalMulai}">-->
                            <!--                            </div>-->

                            <!--                            <div class="mb-3">-->
                            <!--                                <input type="date" class="form-control" name="tanggalSelesai" th:value="${tanggalSelesai}">-->
                            <!--                            </div>-->
                        </div>
                        <div class="col-md-2">
                            <!--                            <div class="col-md-1" align="right">-->
                            <!--                                &lt;!&ndash;                    <input type="hidden" name="departemen" th:value="${departemen}">&ndash;&gt;-->
                            <!--                                <button type="submit" class="btn btn-default" style="&#45;&#45;bs-btn-bg: #e8ecf1">Chose</button>-->
                            <!--                            </div>-->
                        </div>
                    </div>
                </form>
            </div>


            <div class="col-md-6" align="right">
                <!--                <form method="post" th:action="@{/reports/estimasi_keluar_excel/export}">-->
                <!--                    <div class="col-md-12">-->
                <!--                        <input type="hidden" name="tanggalMulaiExport" th:value="${tanggalMulai}">-->
                <!--                        <input type="hidden" name="tanggalSelesaiExport" th:value="${tanggalSelesai}">-->
                <!--                        <input type="hidden" name="instansi" th:if="${instansiSelected != null}" th:value="${instansiSelected.getId()}">-->
                <!--                        <input th:if="${tanggalMulai != null && instansiSelected != null}" type="submit" class="btn btn-success pull-right" title="Export" value="Export">-->
                <!--                    </div>-->
                <!--                </form>-->
            </div>
        </div>
        <br>


        <div class="row">
            <div class="col-md-12">
                <!--                <div class="tableFixHead">-->
                <table class="table table-hover small">
                    <thead class="table-dark" style="--bs-table-bg:#15408d;">
                    <tr>
                        <th class="text-end" style="width: 10px">#</th>
                        <th class="text-center" style="width: 100px">Date</th>
                        <th class="text-center">Description</th>
                        <th class="text-center" style="width: 50px">Attachment</th>
                        <th class="text-center" style="width: 100px">Qty</th>
                        <th class="text-center" style="width: 100px">In</th>
                        <th class="text-center" style="width: 100px">Out</th>
                        <th class="text-center" style="width: 100px">Balance</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:if="${listSaldoPendapatanTerkait != null}" th:each="data,row: *{listSaldoPendapatanTerkait}">
                        <td class="text-end" th:text="${(row.index + 1) + (listSaldoPendapatanTerkait.number * listSaldoPendapatanTerkait.size)}">1.</td>
                        <td class="text-center" th:text="${#temporals.format(data.getTgl(),'dd-MMM-yyyy')}"></td>
                        <td th:text="${data.getDeskripsi()}"></td>
                        <td>
                            <a th:if="${data.getStatus().equals('KELUAR')}" title="edit"
                               th:href="@{/pengeluaran_terkait/{pengeluaranTerkait}/attachement/(pengeluaranTerkait = ${data.getId()})}"
                               class="link-warning">Attachement
                            </a>
                            <a th:if="${data.getStatus().equals('MASUK')}" title="edit"
                               th:href="@{/pendapatan_terkait/{pendapatanTerkait}/attachement/(pendapatanTerkait = ${data.getId()})}"
                               class="link-warning">Attachement
                            </a>
                        </td>
                        <td class="text-center" th:text="${data.getJumlah() + ' ' + data.getSatuan()}"></td>
                        <td class="text-end text-success" th:text="${#numbers.formatDecimal(data.getMasuk(), 0, 'POINT', 2, 'COMMA')}"></td>
                        <td class="text-end text-danger" th:text="${#numbers.formatDecimal(data.getKeluar(), 0, 'POINT', 2, 'COMMA')}"></td>
                        <td class="text-end" th:text="${#numbers.formatDecimal(data.getSaldo(), 0, 'POINT', 2, 'COMMA')}"></td>
                    </tr>
                    </tbody>
                </table>
                <!--                </div>-->
                <br>
                                <nav aria-label="Page navigation example">
                                    <ul class="pagination" sd:pagination="full">
                                    </ul>
                                </nav>
            </div>
        </div>

    </main>
</main>

</body>
</html>